//	DStream.h

#pragma once

#ifndef _DSTREAM_H_
#define _DSTREAM_H_

#include <SupportDefs.h>


class DStream
{
protected:
		bool					fDispose;
public:

inline							DStream()
								{
									fDispose = TRUE;
								}

	/*	All of these functions should be implemented by 
	 *	subclasses. Streams going from the network should 
	 *	still be prepared to handle seeks, since the 
	 *	identify method will re-seek back to the beginning 
	 *	quite a lot, and many data formats require seeks 
	 *	as well
	 */
virtual	ssize_t					Read(	//	returns 0 for success
									void *			buffer,
									ssize_t &		size) = 0;
virtual	ssize_t					Write(	//	returns 0 for success
									const void *	data,
									ssize_t			size) = 0;
virtual	ssize_t					Seek(	//	returns 0 for success
									off_t			position) = 0;
virtual	off_t					Position() = 0; // returns position
virtual off_t					Size() = 0; // returns total size
virtual	ssize_t					SetSize(	//	returns 0 for success
									off_t			size) = 0;

inline	void					SetDispose(
									bool			dispose)
								{
									fDispose = dispose;
								}
};

#endif // _DSTREAM_H_

