/*	BitmapStream.h
 */

#pragma once

#include "DStream.h"
#include "Datatypes.h"

class BBitmap;


class BitmapStream :
	public DStream
{
public:
								BitmapStream(
									BBitmap *		map = NULL);
								~BitmapStream();

		status_t				Read(	//	returns 0 for success
									void *			buffer,
									ssize_t &		size);
		status_t				Write(	//	returns 0 for success
									const void *	data,
									ssize_t			size);
		status_t				Seek(	//	returns 0 for success
									off_t			position);
		off_t					Position(); // returns position
		off_t					Size(); // returns total size
		status_t				SetSize(	//	returns 0 for success
									off_t			size);

		status_t				DetachBitmap(
									BBitmap * &		outMap);
protected:
		DATABitmap				fHeader;
		BBitmap *				fMap;
		size_t					fPosition;
		size_t					fSize;
		bool					fDetached;
};


